Search notes

Performs a filtered search over notes using a POST request. This endpoint supports the same filtering capabilities as GET /v2/notes, but allows more complex filtering through relationships.

Filtering by owners.email or creators.email requires the members:pii:read scope.

Filter Logic

  • Multiple values within a relationship filter use OR logic (e.g., customer with id1 OR id2)
  • Different filter types use AND logic (e.g., customer AND link filters)

Relationships

Filter notes by their relationships to customers (users or companies) and links (features):

  • customer.ids - Filter by customer or company UUIDs (OR logic within)
  • link.ids - Filter by linked feature UUIDs (OR logic within)
Query Params
string

Cursor for pagination.

fields[]
array of strings
deprecated

Deprecated: Use return.fields in the request body instead.

Controls which fields are returned in the response.

fields[]
Body Params
data
object

Search data that accepts both new structured format and legacy flat format. If filter is present, the new format is used. Otherwise, the legacy flat format is assumed.

Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json